/* rbgxNgɂ鐮WZi\[Xj*/

#include <stdio.h>
#include "BitSet.h"

/*--- WsnĂ邩 ---*/
int IsMember(BitSet s, int n)
{
	return s & SetOf(n);
}

/*--- Wsnǉ ---*/
void Add(BitSet *s, int n)
{
	*s |= SetOf(n);
}

/*--- Wsn폜 ---*/
void Remove(BitSet *s, int n)
{
	*s &= ~SetOf(n);
}

/*--- Ws̗vf ---*/
int Size(BitSet s)
{
	int n = 0;

	for (; s != BitSetNull; n++)
		s &= s - 1;
	return n;
}

/*--- Ws̑Svf\ ---*/
void Print(BitSet s)
{
	int i;

	printf("{ ");
	for (i = 0; i < BitSetBits; i++)
		if (IsMember(s, i))
			printf("%d ", i);
	printf("}");
}

/*--- Ws̑Svf\istj---*/
void PrintLn(BitSet s)
{
	Print(s);
	putchar('\n');
}
