/* int^X^bNIntStacki\[Xj*/

#include <stdio.h>
#include <stdlib.h>
#include "IntStack.h"

/*--- X^bN̏ ---*/
int Initialize(IntStack *s, int max)
{
	s->ptr = 0;
	if ((s->stk = calloc(max, sizeof(int))) == NULL) {
		s->max = 0;								/* z̐Ɏs */
		return -1;
	}
	s->max = max;
	return 0;
}

/*--- X^bNɃf[^vbV ---*/
int Push(IntStack *s, int x)
{
	if (s->ptr >= s->max)						/* X^bN͖t */
		return -1;
	s->stk[s->ptr++] = x;
	return 0;
}

/*--- X^bNf[^|bv ---*/
int Pop(IntStack *s, int *x)
{
	if (s->ptr <= 0)							/* X^bN͋ */
		return -1;
	*x = s->stk[--s->ptr];
	return 0;
}

/*--- X^bNf[^s[N ---*/
int Peek(const IntStack *s, int *x)
{
	if (s->ptr <= 0)							/* X^bN͋ */
		return -1;
	*x = s->stk[s->ptr - 1];
	return 0;
}

/*--- X^bNɂ ---*/
void Clear(IntStack *s)
{
	s->ptr = 0;
}

/*--- X^bN̗e ---*/
int Capacity(const IntStack *s)
{
	return s->max;
}

/*--- X^bNɐς܂Ăf[^ ---*/
int Size(const IntStack *s)
{
	return s->ptr;
}

/*--- X^bN͋ ---*/
int IsEmpty(const IntStack *s)
{
	return s->ptr <= 0;
}

/*--- X^bN͖t ---*/
int IsFull(const IntStack *s)
{
	return s->ptr >= s->max;
}

/*--- X^bN̒T ---*/
int Search(const IntStack *s, int x)
{
	int i;

	for (i = s->ptr - 1; i >= 0; i--)	/* とɐ`T */
		if (s->stk[i] == x)
			return i;		/* T */
	return -1;				/* Ts */
}

/*--- Sf[^̕\ ---*/
void Print(const IntStack *s)
{
	int i;

	for (i = 0; i < s->ptr; i++)		/* ꁨɑ */
		printf("%d ", s->stk[i]);
	putchar('\n');
}

/*--- X^bŇn ---*/
void Terminate(IntStack *s)
{
	if (s->stk != NULL)
		free(s->stk);		/* zj */
	s->max = s->ptr = 0;
}
